Debian Bug report logs - #81556
convince upstream to drop -I entirely

version graph

Package: tar; Maintainer for tar is Bdale Garbee <bdale@gag.com>; Source for tar is src:tar.

Reported by: Bdale Garbee <bdale@gag.com>

Date: Mon, 8 Jan 2001 04:33:02 UTC

Severity: serious

Found in version 1.13.18-2

Fixed in versions gs-aladdin/6.50-2, tar/1.13.19-1

Done: Bdale Garbee <bdale@gag.com>

Bug is archived. No further changes may be made.

Forwarded to bug-tar@gnu.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org:
Bug#81556; Package tar. Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
New Bug report received and forwarded. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: submit@bugs.debian.org
Subject: convince upstream to drop -I entirely
Date: Sun, 07 Jan 2001 21:25:57 -0700
Package: tar
Version: 1.13.18-2
Severity: serious

The recent change of tar options to replace -I with -j as an alias for --bzip2
and making -I an alias for -T is a real problem for Debian GNU/Linux.  Debian 
2.2 (potato) shipped with tar supporting the -I option as an alias for 
--bzip2. 

Changing -I to -j isn't the big problem.  Having -I aliased to something else 
in such a way that the combination of -c and -I yields an archive that is at
least unexpectedly uncompressed is the problem.

The solution that seems to make the most sense is:

	the -I option be removed from the documentation and usage messages

	use of -I becomes an error that communicates that -j is the right 
	option for bzip2, and -T is the equivalent of -I in Solaris tar

I think this meets everyone's needs.  Debian users will not have the principle
of least astonishment violated when using -I, and anyone using GNU tar in the
Solaris world will find out what option to use to get the functionality they
expect from -I.

Bdale




Reply sent to Bdale Garbee <bdale@gag.com>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #8 received at 81556-forwarded@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: bug-tar@gnu.org
Cc: 81556-forwarded@bugs.debian.org
Subject: can we get rid of -I entirely, please?
Date: Mon, 08 Jan 2001 09:18:51 -0700
Hello.  I maintain the tar package for Debian GNU/Linux.

The recent change of tar options to replace -I with -j as an alias for --bzip2
and making -I an alias for -T is a real problem for Debian GNU/Linux, because
Debian 2.2 (potato) shipped with tar supporting the -I option as an alias for 
--bzip2, and this option is now widely known and used (particularly since Linux
kernel bits are often retrieved as .tar.bz2 files these days!). 

Changing -I to -j isn't the big problem.  It is frustrating to us, but we can
live with it.  Having -I aliased to something else in such a way that the 
combination of -c and -I yields an archive that is at least unexpectedly 
uncompressed is the problem.  This is a "silent failure" that is taking users 
very much by surprise.

After lots of discussion on the Debian developer mailing lists, the solution 
that I think makes the most sense is:

        the -I option be removed from the documentation and usage messages

        use of -I becomes an error that communicates that -j is the right 
        option for bzip2, and -T is the equivalent of -I in Solaris tar

I think this meets everyone's needs.  Debian users will not have the principle
of least astonishment violated when using -I, and anyone using GNU tar in the
Solaris world will find out what option to use to get the functionality they
expect from -I.  Nobody is surprised by using -I and getting an unexpected
result.

I hope this or some similar change can be implemented reasonably soon, as this
is considered a release-critical problem for the next Debian stable release.  
I'll be happy to provide a patch implementing the above if that would help.

Regards,

Bdale




Message #9 received at 81556-forwarded@bugs.debian.org (full text, mbox):

From: Gerhard Poul <gpoul@gnu.org>
To: Bdale Garbee <bdale@gag.com>
Cc: eggert@gnu.org, 81556-forwarded@bugs.debian.org
Subject: Re: can we get rid of -I entirely, please?
Date: Tue, 9 Jan 2001 14:16:34 -0500
I don't know if paul agrees with me but I think we
should _not_ do that. - I think we should be compatible with -I from solaris.

As far as I know -I as alias for --bzip2 was introduced in an alpha version
of gnu tar and it doesn't break anything if we change it back.

As you may know the compatible way is to use --use-compress-program=bzip2.

If I remember correctly paul said he wants to introduce -j but let -I 
issue a WARNING that tells the user that this will be changed in 
the next major version. Maybe he changed his mind. I'm sure he has
a good reason.

I don't know what was discussed on the debian mailing lists but it is
_never_ good to use a special feature of an alpha version.

If you want, you can implement the above solution in debian and tell the
people and upgrade to the new behaviour in the next release.

Maybe you should just document the change somewhere and let your users
know that this behaviour changed. - what do you think?

hope it helps.

btw: please don't get upset about my comment. They are 'only' written by me.
paul is authoritative in this regard. Please think about it and wait for
his reply before changing anything in the gnu tar debian package. thanks.



Message #10 received at 81556-forwarded@bugs.debian.org (full text, mbox):

From: Paul Eggert <eggert@twinsun.com>
To: bdale@gag.com
Cc: bug-tar@gnu.org, 81556-forwarded@bugs.debian.org
Subject: Re: can we get rid of -I entirely, please?
Date: Tue, 9 Jan 2001 12:49:43 -0800 (PST)
> From: Bdale Garbee <bdale@gag.com>
> Date: Mon, 08 Jan 2001 09:18:51 -0700
> 
> After lots of discussion on the Debian developer mailing lists, the
> solution that I think makes the most sense is:
> 
>         the -I option be removed from the documentation and usage messages
> 
>         use of -I becomes an error that communicates that -j is the right 
>         option for bzip2, and -T is the equivalent of -I in Solaris tar
> 
> I think this meets everyone's needs.

OK, you talked me into this for the next tar version.  This will give
people time to switch.  We can then reintroduce -I as an alias for -T
in a later version of GNU tar.



Reply sent to Torsten Landschoff <torsten@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bdale Garbee <bdale@gag.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 81556-close@bugs.debian.org (full text, mbox):

From: Torsten Landschoff <torsten@debian.org>
To: 81556-close@bugs.debian.org
Subject: Bug#81556: fixed in gs-aladdin 6.50-2
Date: Thu, 11 Jan 2001 14:57:38 -0500
We believe that the bug you reported is fixed in the latest version of
gs-aladdin, which has been installed in the Debian FTP archive:

gs-aladdin_6.50-2_i386.deb
  to pool/non-free/g/gs-aladdin/gs-aladdin_6.50-2_i386.deb
gs-aladdin_6.50-2.diff.gz
  to pool/non-free/g/gs-aladdin/gs-aladdin_6.50-2.diff.gz
gs-aladdin_6.50-2.dsc
  to pool/non-free/g/gs-aladdin/gs-aladdin_6.50-2.dsc
A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 81556@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Torsten Landschoff <torsten@debian.org> (supplier of updated gs-aladdin package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 10 Jan 2001 21:18:37 +0100
Source: gs-aladdin
Binary: gs-aladdin
Architecture: source i386
Version: 6.50-2
Distribution: unstable
Urgency: low
Maintainer: Torsten Landschoff <torsten@debian.org>
Changed-By: Torsten Landschoff <torsten@debian.org>
Description: 
 gs-aladdin - Postscript interpreter with X11 and svgalib preview support.
Closes: 81488 81556
Changes: 
 gs-aladdin (6.50-2) unstable; urgency=low
 .
   * debian/rules: Pass --bzip2 to tar instead of -I which was removed in
     the latest tar version (closes: #81556).
   * ps2epsi: Disable -dSAFER again and fix the sed expressions
     (closes: #81488). Also modify pdf2dsc which had the same problem.
Files: 
 c2b1c641864cbdaec1b2a6fff05ac8fc 674 non-free/text optional gs-aladdin_6.50-2.dsc
 b05a245a603d09fe4ecc61494640860b 24071 non-free/text optional gs-aladdin_6.50-2.diff.gz
 5ded180cb2d51280ba739e16435a76ec 2186958 non-free/text optional gs-aladdin_6.50-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.4 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE6XMdvdQgHtVUb5EcRAjjNAJ4rIZ6D/3DPZEcCs7JTM9SwWZ5QRgCdEijX
myuJdesVdcsxGVEgsOx4Hpc=
=FznB
-----END PGP SIGNATURE-----



Bug reopened, originator not changed. Request was from Torsten Landschoff <torsten@pclab.ifg.uni-kiel.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Bdale Garbee <bdale@gag.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bdale Garbee <bdale@gag.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 81556-close@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: 81556-close@bugs.debian.org
Subject: Bug#81556: fixed in tar 1.13.19-1
Date: Tue, 23 Jan 2001 15:30:11 -0500
We believe that the bug you reported is fixed in the latest version of
tar, which has been installed in the Debian FTP archive:

tar_1.13.19-1.dsc
  to pool/main/t/tar/tar_1.13.19-1.dsc
tar_1.13.19-1_i386.deb
  to pool/main/t/tar/tar_1.13.19-1_i386.deb
tar_1.13.19.orig.tar.gz
  to pool/main/t/tar/tar_1.13.19.orig.tar.gz
tar_1.13.19-1.diff.gz
  to pool/main/t/tar/tar_1.13.19-1.diff.gz
A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 81556@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bdale Garbee <bdale@gag.com> (supplier of updated tar package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 23 Jan 2001 09:42:13 -0700
Source: tar
Binary: tar
Architecture: source i386
Version: 1.13.19-1
Distribution: unstable
Urgency: low
Maintainer: Bdale Garbee <bdale@gag.com>
Changed-By: Bdale Garbee <bdale@gag.com>
Description: 
 tar        - GNU tar
Closes: 81556
Changes: 
 tar (1.13.19-1) unstable; urgency=low
 .
   * new upstream version, -I no longer a valid option, closes: #81556
   * freshen debian/copyright
Files: 
 99a52d1ff3b63c5f2592d17f31cc9bf1 622 base required tar_1.13.19-1.dsc
 ff10ade59f5b312869ffb2f229177e14 1161432 base required tar_1.13.19.orig.tar.gz
 b368beb4fdd628af4784b1d476f2d341 7214 base required tar_1.13.19-1.diff.gz
 4413e6d2531e7e6c01e3268421fcebdc 431776 base required tar_1.13.19-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.4 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE6bbeDZKfAp/LPAagRAmRjAJ4g9gRYlx0aznH9RefqIPQpFG2ByACfRj5/
0NZI81vsJWALh/H6bQqL6Qs=
=EV9Y
-----END PGP SIGNATURE-----



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:33:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.